/**
 * scoringOptions.js
 * Copyright (C) 2008-2009  Tommi Rautava
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

var pm_ScoringOptions = {
	
	onLoad: function scoringOptionsOnLoad() {
		try {
			this.addScoreNumbersCheckboxOnCommand();
			this.colorTypeOnCommand();
		}
		catch (err) {
			pm_Logger.logError(err);
		}
		
		return true;
	},


	addScoreNumbersCheckboxOnCommand:
	function addScoreNumbersCheckboxOnCommand() {
		var cb = window.document.getElementById('scoring.addScoreNumber.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		window.document.getElementById('extensions.popomungo.options.scoring.colorNumber.enabled').disabled = disabled;
		window.document.getElementById('extensions.popomungo.options.scoring.disableLink.enabled').disabled = disabled;
		window.document.getElementById('scoring.addScoreNumber.scoreBase.radiogroup').disabled = disabled;

		this.colorNumberOnCommand();
		
		return true;
	},


	colorNumberOnCommand: function colorNumberOnCommand() {
		var cb = window.document.getElementById('scoring.colorNumber.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		window.document.getElementById('scoring.colorNumber.colorType.radiogroup').disabled = disabled;
		
		this.colorTypeOnCommand();
				
		return true;
	},
	
	
	colorTypeOnCommand: function colorTypeOnCommand() {
		var rg = window.document.getElementById('scoring.colorNumber.colorType.radiogroup');
		var disabled = (rg.value != 1) || rg.disabled;
		
		window.document.getElementById('scoring.colorNumber.gradientColor.from.colorpicker').disabled = disabled;
		window.document.getElementById('scoring.colorNumber.gradientColor.from.colorpicker.label').disabled = disabled;
		window.document.getElementById('scoring.colorNumber.gradientColor.to.colorpicker').disabled = disabled;
		window.document.getElementById('scoring.colorNumber.gradientColor.to.colorpicker.label').disabled = disabled;
		
		return true;
	}
	
};

pm_Logger.log("pm_ScoringOptions loaded");

// EOF